GUIX(1)

NAME
guix - manual page for guix 1.4.0rc2

SYNOPSIS
guix OPTION | COMMAND ARGS...

DESCRIPTION
Run COMMAND with ARGS, if given.

-h, --help
    display this helpful text again and exit

-V, --version
    display version and copyright information and exit

COMMAND must be one of the sub-commands listed below:

    main commands

deploy
    deploy operating systems on a set of machines

describe
    describe the channel revisions currently used

gc  invoke the garbage collector

home
    build and deploy home environments

install
    install packages

package
    manage packages and profiles

pull
    pull the latest revision of Guix

remove
    remove installed packages

search
    search for packages

show
    show information about packages

system
    build and deploy full operating systems

time-machine
    run commands from a different revision

upgrade
    upgrade packages to their latest version

weather
    report on the availability of pre-built package binaries

    software development commands

container
    run code in containers created by 'guix environment -C'

environment
    spawn one-off software environments (deprecated)

pack
    create application bundles

shell
    spawn one-off software environments

    packaging commands

build
    build packages or derivations without installing them

challenge
    challenge substitute servers, comparing their binaries

download
    download a file to the store and print its hash

edit
    view and edit package definitions

graph
    view and query package dependency graphs

hash
    compute the cryptographic hash of a file

import
    import a package definition from an external repository

lint
    validate package definitions

publish
    publish build results over HTTP

refresh
    update existing package definitions

size
    profile the on-disk size of packages

style
    update the style of package definitions

    plumbing commands

archive
    manipulate, export, and import normalized archives (nars)

copy
    copy store items remotely over SSH

git operate on Git repositories

offload
    set up and operate build offloading

processes
    list currently running sessions

repl
    read-eval-print loop (REPL) for interactive programming

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2022 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.